input_get_keycode
Prev | Chapter 25. Input Subsystem | Next

## Name

input_get_keycode — retrieve keycode currently mapped to a given scancode

## Synopsis

`int input_get_keycode (` | struct input_dev * | dev,
| int | scancode,
| int * | keycode`)`;

## Arguments

`dev`

  input device which keymap is being queried

`scancode`

  scancode (or its equivalent for device in question) for which keycode is needed

`keycode`

  result

## Description

This function should be called by anyone interested in retrieving current keymap. Presently keyboard and evdev handlers use it.

Prev | Up | Next
input_close_device | Home | input_set_keycode